
                                              ; Set map limits:
if (all(iscoord(invar,(/"lat","lon"/)))) then
 ncvar!0   = "lat"
 ncvar!1   = "lon"
 ncvar&lat = ncfile->lat(y1:y2)
 ncvar&lon = ncfile->lon(x1:x2)
 lon_min  = ncvar&lon(0)
 lon_max  = ncvar&lon(x2-x1)
 lat_min  = ncvar&lat(0)
 lat_max  = ncvar&lat(y2-y1)
else
 if (all(iscoord(invar,(/"Lat","Lon"/)))) then
  ncvar!0   = "Lat"
  ncvar!1   = "Lon"
  ncvar&Lat = ncfile->Lat(y1:y2)
  ncvar&Lon = ncfile->Lon(x1:x2)
  lon_min  = ncvar&Lon(0)
  lon_max  = ncvar&Lon(x2-x1)
  lat_min  = ncvar&Lat(0)
  lat_max  = ncvar&Lat(y2-y1)
 else
  if (all(iscoord(invar,(/"latitude","longitude"/)))) then
   ncvar!0   = "latitude"
   ncvar!1   = "longitude"
   ncvar&latitude  = ncfile->latitude(y1:y2)
   ncvar&longitude = ncfile->longitude(x1:x2)
   lon_min  = ncvar&longitude(0)
   lon_max  = ncvar&longitude(x2-x1)
   lat_min  = ncvar&latitude(0)
   lat_max  = ncvar&latitude(y2-y1)
  else
   if (all(iscoord(invar,(/"Latitude","Longitude"/)))) then
    ncvar!0   = "Latitude"
    ncvar!1   = "Longitude"
    ncvar&Latitude  = ncfile->Latitude(y1:y2)
    ncvar&Longitude = ncfile->Longitude(x1:x2)
    lon_min  = ncvar&Longitude(0)
    lon_max  = ncvar&Longitude(x2-x1)
    lat_min  = ncvar&Latitude(0)
    lat_max  = ncvar&Latitude(y2-y1)
   else
    print("")
    print("...could not find a proper set of dimensional variables.")
    print("...tried:  lon        lat")
    print("           Lon        Lat")
    print("           longitude  latitude")
    print("           Longitude  Latitude")
    print("...try running without a map request, use e.g. option 2d (not 2dmap) etc.") 
    print("...terminates in ncl")
    print("")
    exit
   end if
  end if
 end if
end if

rsrcs@mpCenterLonF    = 0.5*(lon_min+lon_max) ; Rotate the projection
rsrcs@mpLimitMode     = "LatLon"              ; Apply map limits
rsrcs@mpMinLonF       = lon_min
rsrcs@mpMaxLonF       = lon_max
rsrcs@mpMinLatF       = lat_min
rsrcs@mpMaxLatF       = lat_max
rsrcs@mpPerimOn       = True
rsrcs@mpFillOn        = True
rsrcs@mpFillColors    = (/0, -1, nc-1, nc-1/)
rsrcs@mpProjection    = map
rsrcs@mpDataBaseVersion = coastline
