
echo ""
echo "           cropone.sh  /  ncl-metno 1.2"
#echo "          Date:     19 April, 2005"
#echo "          Contact:  a.melsom@met.no"
echo ""


file=$1
flag=$2

if [ "$file" = "" ]
then
  echo "  Syntax error."
fi
if [ "$file" = "" ] || [ "$file" = "-h" ] || [ "$file" = "-help" ] || [ "$file" = "--help" ]
then
  echo "  Correct syntax:"
  echo "    cropone.sh  <file> (<flag>)"
  echo "          where <file>  is the pnm image to crop"
  echo "                <flag>  (any character) causes the original file to be deleted"
  exit
fi

newfile=$file".pnm"
test -e $newfile && echo " ...output file exists, no action taken"
test -e $newfile && exit

echo " ...cropping  "$file"  into  "$newfile
pnmcrop $file >$newfile
#convert $file -crop 0x0 $newfile

if [ "$flag" != "" ]
then
  echo " ...removing  "$file
  /bin/rm $file
fi

exit
