ewks = gsn_open_wks("x11","ncvar_e") ; Open workstations

cmap         = new((/22,3/),float)
cmap(0,:)    = (/1. ,1. ,1./)        ; Set background to white
cmap(1,:)    = (/0. ,0. ,0./)        ;  and foreground to black
cmap(21,:)   = (/0.75, 0.75, 0.75/)  ; Set color for masking


; *** default color map: rainbow style
gsn_define_colormap(ewks, "BkBlAqGrYeOrReViWh200") ; Get preliminary color map
cmaporg      = gsn_retrieve_colormap(ewks)         ; Store preset colormap
cmap(2:20,:) = cmaporg(24:168:8,:)                 ; Set active colors

; *** alternative color map: blue/red
;gsn_define_colormap(ewks, "BlWhRe")
;cmaporg      = gsn_retrieve_colormap(ewks)
;cmap(2:20,:) = cmaporg(18:90:4,:)

; *** alternative color map: NRL
;gsn_define_colormap(ewks, "nrl_sirkes")
;cmaporg      = gsn_retrieve_colormap(ewks)
;cmap(2:20,:) = cmaporg(3:21,:)

; *** alternative color map: grayscale
;gsn_define_colormap(ewks, "gsdtol")
;cmaporg      = gsn_retrieve_colormap(ewks)
;cmap(2:20,:) = cmaporg(14:32,:)

; *** alternative color map: tigerstripes
;gsn_define_colormap(ewks, "default")
;cmaporg      = gsn_retrieve_colormap(ewks)
;cmap(2:20,:) = cmaporg(2:20,:)


gsn_define_colormap(ewks, cmap)              ; Set color map
