
gsn_define_colormap(ewks, cmap)          ; Set color map

rsrcs                 = True             ; Set resources

rsrcs@cnInfoLabelOn   = False
rsrcs@cnLineLabelsOn  = False
rsrcs@cnFillOn        = True
rsrcs@cnFillMode      = filling
rsrcs@cnLinesOn       = False
rsrcs@cnMissingValFillColor  = nc-1
rsrcs@cnMissingValFillPattern= "SolidFill"

rsrcs@pmLabelBarDisplayMode = "Always"   ; Turn on label bar
rsrcs@pmLabelBarDisplayMode = "NoCreate"
rsrcs@pmLabelBarWidthF      = 0.15

rsrcs@lbOrientation      = "vertical"
rsrcs@lbAutoManage       = False
rsrcs@lbPerimOn          = False
rsrcs@lbLabelFontHeightF = 0.02
rsrcs@lbLabelFont        = 22
if (nc .gt. 20) then
 rsrcs@lbLabelStride = 2
else
 rsrcs@lbLabelStride = 1
end if
if (nc .gt. 30) then
 rsrcs@lbLabelStride = 3
end if

if (nv .ne. 0) then
 if (abs(nv) .lt. 1000) then
  map_contours = fspan(v1,v2,abs(nv)+1)
 else
  if (abs(nv) .lt. 2000) then
   map_contours = fspan(v1,v2,abs(nv)-999)
  else
   map_contours = fspan(v1,v2,abs(nv)-1999)
  end if
 end if
 if (nv .lt. 0) then       ; reset contours isopleth values
  nv = -nv
  if (nv .gt. 1000) then
   if (nv .lt. 2000) then
    nv    = nv - 1000
    sumstp= 3
    stpa  = 1
    stpb  = 2
    do nstp = 3, nv
     stp0  = stpa + stpb
     stpa  = stpb
     stpb  = stp0
     sumstp= sumstp + stp0
    end do
    stp = (v2-v1)/sumstp
    stpa  = 1
    stpb  = 2
    map_contours(1) = map_contours(0) + stpa*stp
    map_contours(2) = map_contours(1) + stpb*stp
    do nstp = 3, nv
     stp0  = stpa + stpb
     stpa  = stpb
     stpb  = stp0
     map_contours(nstp) = map_contours(nstp-1) + stpb*stp
    end do
   else
    nv    = nv - 2000
    sumstp= 6
    stpa  = 1
    stpb  = 2
    stpc  = 3
    do nstp = 4, nv
     stp0  = stpa + stpc
     stpa  = stpb
     stpb  = stpc
     stpc  = stp0
     sumstp= sumstp + stpc
    end do
    stp = (v2-v1)/sumstp
    stpa  = 1
    stpb  = 2
    stpc  = 3
    map_contours(1) = map_contours(0) + stpa*stp
    map_contours(2) = map_contours(1) + stpb*stp
    map_contours(3) = map_contours(2) + stpc*stp
    do nstp = 4, nv
     stp0  = stpa + stpc
     stpa  = stpb
     stpb  = stpc
     stpc  = stp0
     map_contours(nstp) = map_contours(nstp-1) + stpc*stp
    end do
   end if
  else
   stp = 2*(v2-v1)/(nv*(nv+1))
   vlu = v1
   do nstp = 1, nv
    vlu = vlu + stp
    map_contours(nstp) = map_contours(nstp-1) + nstp*stp
   end do
  end if
 end if
 rsrcs@cnLevelSelectionMode = "ExplicitLevels"
 rsrcs@cnLevels             = map_contours
end if

rsrcs@vpHeightF  = height  ; Define height, width, and location of plot
rsrcs@vpWidthF   = width
rsrcs@vpXF       = xp
rsrcs@vpYF       = yp
